-- increasing mining time of all resources by a constant

local miningTimeIncrease	= settings.startup["slowdown-multiplier"].value;
local miningEnergyIncrease	= 1 / miningTimeIncrease;

for k,v in pairs(data.raw["mining-drill"]) do	
	if v.mining_speed then
		log("Slow Down is editing the mining speed of " .. v.name .. " (was " .. v.mining_speed .. ", now " .. v.mining_speed / miningTimeIncrease .. ")");
		
		v.mining_speed = v.mining_speed / miningTimeIncrease;
		local energyUsageRegular = string.sub(v.energy_usage, 0, string.len(v.energy_usage)-2)
		local energyUsageSuffix = string.sub(v.energy_usage, -2)
		
		log("Slow Down is editing the energy usage of " .. v.name .. " (was " .. v.energy_usage .. ", now " .. (energyUsageRegular * miningEnergyIncrease) .. energyUsageSuffix .. ")");
		
		energyUsageRegular	= (energyUsageRegular * miningEnergyIncrease);
		
		v.energy_usage = energyUsageRegular .. energyUsageSuffix
	end
end
